
package com.example.unityplugin;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

import com.unity3d.player.UnityPlayer;
import com.unity3d.player.UnityPlayerActivity;

public class UnityActivity extends UnityPlayerActivity {

	UnityPlayer unityPlayer;
	static String m_url = "";

	public void onCreate(Bundle savedInstanceState)
	{
		Log.d("AndroidUnityPlugin","---onCreate");
		m_url = getIntent().getDataString();
		super.onCreate(savedInstanceState);
	}


	public void onNewIntent(Intent intent)
	{
		Log.d("AndroidUnityPlugin","---onNewIntent");
		m_url = intent.getDataString();
		super.onNewIntent(intent);
	}

	public static String getURLScheme(){
		return m_url;
	}

}